#!/bin/bash

kzone="example.com"
kn="le_dns01"
kfile="/root/tn/key.${kn}.txt"
ddns-confgen -a hmac-sha512 -k ${kn} -s _acme-challenge.${kzone} > ${kfile}

echo " " >> ${kfile}
echo "//-----------------------------------------------------" >> ${kfile}
echo "// --- dyn master ---${kzone}  --- zonefile BIND" >> ${kfile}
echo "zone \"${kzone}\" {" >> ${kfile}
echo "    type master;" >> ${kfile}
echo "    file \"/var/bind/dyn/${kzone}.zone\";" >> ${kfile}
echo "    allow-query { any; };" >> ${kfile}
echo "    allow-transfer { trusted; };" >> ${kfile}
echo "    notify yes;" >> ${kfile}
echo "    update-policy {" >> ${kfile}
echo "	grant ddns_${kzone} zonesub ANY;" >> ${kfile}
echo "	grant le_dns01 name _acme-challenge.${kzone} txt;" >> ${kfile}
echo "    };" >> ${kfile}
echo "};" >> ${kfile}
echo " " >> ${kfile}

exit
