#!/bin/sh

if [ ! -e ./ownssl.conf.sh ]; then
    echo "cannot found ownssl.conf.sh"
    echo "please change to ownssl-dir"
    echo "cd /wherever/ownssl or where it is"
    exit
fi

. ./ownssl.conf.sh

if [ -e "$ssldir/${s_caname}.key" ] || [ -e "$ssldir/${s_caname}.crt" ]; then
    echo "$ssldir/${s_caname} alrady exists."
    echo "please ca save and delete is, and call it again."
    exit
fi

echo "ca certificate create?  weiter y/n/maybe"
read antwort
antwort=`echo $antwort|tr [:upper:] [:lower:]`
if [ "$antwort" != "y" ]; then
    echo "not confirmed, cancel"; exit 1
else echo "con"
fi

# ca_key
openssl genrsa -out ${s_caname}.key 4096
# -> ....key

# ca_crt
openssl req -x509 -new -nodes -key ${s_caname}.key -sha256 -days 3650 -out ${s_caname}.crt
# -> ....crt

echo "-"
echo "${s_caname}.key ist ca.key, ${s_caname}.crt ist ca.cert."
echo "both are required to sign server certificates."
echo "${s_caname}.crt must be imported to the hosts (client's/server's),"
echo "then the server certificates are accepted"
echo " "
echo "import:"
echo "win: c:\windows\system32\mmc.exe, firefox need extra import"
echo "linux: see udate_ca_local.sh, firefox/vivaldi need extra import"

echo ""
log_date=`date '+%y%m%d.%H%M%S'`
dest="${ssldir}/ca_${log_date}.${s_caname}"
mkdir -p "$dest"
cp -f "${s_caname}.key" "${dest}/${s_caname}.key"
cp -f "${s_caname}.crt" "${dest}/${s_caname}.crt"
echo "cert backup in $dest"

exit
