# 211215 15.Dez.21 v0.10 Author jw@bremnet.de, teamaster@mad-hatters-teatime.teanet.org
# Creative Commons Legal Code ShareAlike 1.0 https://creativecommons.org/   https://creativecommons.org/licenses/sa/1.0/legalcode
############## ar_cert_hosts ###############################
# example
declare -a ar_cert_hosts=( cloudi karl gesine )

ar_cert_hosts_anz=${#ar_cert_hosts[@]}
############## ar_le_domains ###############################
declare -a ar_le_domains=( )
ar_le_domains_row=0; ar_le_domains_index=0; ar_le_domains_maxColumns=2
ar_le_domains_anz=$((${#ar_le_domains[@]} / $ar_le_domains_maxColumns))
ar_le_domains_col_domain=0; ar_le_domains_col_check=1
function f_read_le_domains () {
    LISTOFFILES=$(find $LEDIR/live/  -maxdepth 1 -name "*" -type d)
    ar_le_domains=( )
    ar_le_domains_anz=0
    for PATHOFILE in $LISTOFFILES ; do
	OFILE=${PATHOFILE##*/}
	if is_domainname "$OFILE"; then
	if [ -e "${PATHOFILE}/cert.pem" ]; then
	    f_maindex "$ar_le_domains_anz" "0" "$ar_le_domains_maxColumns"
	    ar_le_domains[$maindex]="$OFILE"; ar_le_domains[$maindex+1]=""; let "ar_le_domains_anz += 1"
	fi
	fi
    done
    ar_le_domains_anz=$((${#ar_le_domains[@]} / $ar_le_domains_maxColumns))
}
function f_find_le_domain () {
    local _row=0
    while [ "$_row" -lt "$ar_le_domains_anz" ]; do
	f_maindex "$_row" "0" "$ar_le_domains_maxColumns"
	if [ "$1" = "${ar_le_domains[$maindex+$ar_le_domains_col_domain]}" ]; then ar_le_domains_row=$_row; return $SUCCESS; fi
	((_row++))
    done
    return $FAILURE
}
############## ar_cert_domains ###############################
#example
#                                                                                                                                 vhost alias vcert
#                                   domain                   own/foreign   mail  host   challenge  wild le self hoster nameserver
declare -a ar_cert_domains=(               "example.com"                 "own"     "mail" "lydia"   "dns01" "*" "le" "" "ionos" "" "" "" "" )
#ar_cert_domains=( "${ar_cert_domains[@]}"  "bremen.ddnss.org" "foreign" "" "karl" "http" "" "" "" "ddnss.de" "" "" "" "" )
ar_cert_domains=( "${ar_cert_domains[@]}"  "bremen.ddnss.org" "foreign" "" "gesine" "dns01" "*" "le" "" "ddnss.de" "" "100" "www.bremen.ddnss.org" "" )
ar_cert_domains=( "${ar_cert_domains[@]}"  "dns.bremen.ddnss.org" "foreign" "" "gesine" "dns01" "*" "" "self" "ddnss.de" "" "110" "" "bremen.ddnss.org" )
ar_cert_domains=( "${ar_cert_domains[@]}"  "intern.bremen.ddnss.org" "foreign" "" "gesine" "dns01" "*" "" "self" "ddnss.de" "" "120" "" "bremen.ddnss.org" )
ar_cert_domains=( "${ar_cert_domains[@]}"  "rezepte.bremen.ddnss.org" "foreign" "" "gesine" "" "*" "le" "" "ddnss.de" "" "130" "" "bremen.ddnss.org" )
ar_cert_domains=( "${ar_cert_domains[@]}"  "hb.dynv6.net" "foreign" "" "frauke" "http" "" "" "" "dynv6.com" "" "le" "" "" )
#ar_cert_domains=( "${ar_cert_domains[@]}"  "example1.com" "foreign" "" "cloudi" "dns01" "" "le" "" "freedns" "" "" "" "" )
#ar_cert_domains=( "${ar_cert_domains[@]}"  "example2.com" "foreign" "" "cloudi" "dns01" "" "le" "" "freedns" "ns.fgj.de" "" "" "" )
ar_cert_domains_row=0
ar_cert_domains_index=0
ar_cert_domains_maxColumns=13
ar_cert_domains_anz=$((${#ar_cert_domains[@]} / $ar_cert_domains_maxColumns))
ar_cert_domains_col_domain=0
ar_cert_domains_col_owner=1
ar_cert_domains_col_mail=2
ar_cert_domains_col_host=3
ar_cert_domains_col_challenge=4
ar_cert_domains_col_wild=5
ar_cert_domains_col_le=6
ar_cert_domains_col_self=7
ar_cert_domains_col_hoster=8
ar_cert_domains_col_ns=9
ar_cert_domains_col_vhost=10
ar_cert_domains_col_alias=11
ar_cert_domains_col_vcert=12
function f_find_cert_domain () {
    local _row=0
    local _domain="$1"
#    if [ $# -ge 2 ]; then local _host="$1"; else local _host=""; fi
    if [ $# -ge 2 ]; then local _host="$2"; else local _host="$TRHOST"; fi
    while [ "$_row" -lt "$ar_cert_domains_anz" ]; do
	f_maindex "$_row" "0" "$ar_cert_domains_maxColumns"
#	if [ -n "$_domain" ];
	if [ "${_domain}" = "${ar_cert_domains[$maindex+$ar_cert_domains_col_domain]}" ] \
	&& ( [ -z "${_host}" ] || [ "${_host}" = "${ar_cert_domains[$maindex+$ar_cert_domains_col_host]}" ] )
	then
	    ar_cert_domains_row=$_row;
	    return $SUCCESS;
	fi
	((_row++))
    done
    return $FAILURE
}
function f_find_cert_domain_old () {
    local _row=0
    while [ "$_row" -lt "$ar_cert_domains_anz" ]; do
	f_maindex "$_row" "0" "$ar_cert_domains_maxColumns"
	if [ "$1" = "${ar_cert_domains[$maindex+$ar_cert_domains_col_domain]}" ]; then ar_cert_domains_row=$_row; return $SUCCESS; fi
	((_row++))
    done
    return $FAILURE
}
function f_find_cert_domain_vhost () {
    local _row=0
    while [ "$_row" -lt "$ar_cert_domains_anz" ]; do
	f_maindex "$_row" "0" "$ar_cert_domains_maxColumns"
	if [ "$1" = "${ar_cert_domains[$maindex+$ar_cert_domains_col_vhost]}" ]; then ar_cert_domains_row=$_row; return $SUCCESS; fi
	((_row++))
    done
    return $FAILURE
}
function f_find_cert_domain_ns () {
    if f_find_cert_domain "$1"; then
#	if is_domainname "${ar_cert_domains[$maindex+$ar_cert_domains_col_ns]}"; then
	if is_nsname "${ar_cert_domains[$maindex+$ar_cert_domains_col_ns]}"; then
	    eval "$2='${ar_cert_domains[$maindex+$ar_cert_domains_col_ns]}'"
	    return
	fi
    fi
    eval "$2='ns1.$1'"
}
