function f_certbot_dns01_clean_hostdomains ()
{
local _f_nm="f_certbot_dns01_clean_hostdomains"
if [ $# -lt 1 ]; then echo "$_f_nm: falsche anzahl parameter"; exit; fi
local _domain="$1"
local _host="$2"
if [ $# -lt 2 ] || [ -z "$2" ]; then _host="$TRHOST"; fi
if [ "*" = "${_host}" ]; then _host="all"; fi
if [ "*" = "${_domain}" ]; then _domain="all"; fi

echo
echo "$_f_nm param: domain: ${_domain}; host: ${_host}; nsupdate do, delete TXT Record"
    for _i_ar_cert_host in "${ar_cert_hosts[@]}"; do
#echo; echo "_domain: ${_domain}; _i_ar_cert_host: ${_i_ar_cert_host}; _host: ${_host}"
	if [ "${_i_ar_cert_host}" = "${_host}" ] \
	|| [ "all" = "${_host}" ]
	then
	    _irow=0
	    while [ "$_irow" -lt "$ar_cert_domains_anz" ]; do
		f_maindex "$_irow" "0" "$ar_cert_domains_maxColumns"
		i_maindex=$maindex
#echo "ar_domain: ${ar_cert_domains[$i_maindex+$ar_cert_domains_col_domain]}; ar_host: ${ar_cert_domains[$i_maindex+$ar_cert_domains_col_host]}"
		if ( [ "${ar_cert_domains[$i_maindex+$ar_cert_domains_col_host]}" = "${_i_ar_cert_host}" ] \
		|| [ "all" = "${_i_ar_cert_host}" ] ) \
		&& ( [ "${ar_cert_domains[$i_maindex+$ar_cert_domains_col_domain]}" = "${_domain}" ] \
		|| [ "all" = "${_domain}" ] )
		then
#echo "111"
		    if [ "${ar_cert_domains[$i_maindex+$ar_cert_domains_col_le]}" = "le" ] \
		    && [ "${ar_cert_domains[$i_maindex+$ar_cert_domains_col_challenge]}" = "dns01" ]
		    then
#echo "222"
#			if  f_certbot_dns01_clean_domain "${ar_cert_domains[$i_maindex+$ar_cert_domains_col_domain]}"; then
#			    return $FAILURE
#			fi
#			echo "ro: f_certbot_dns01_clean_domain \"${ar_cert_domains[$i_maindex+$ar_cert_domains_col_domain]}\""
			echo "do: f_certbot_dns01_clean_domain \"${ar_cert_domains[$i_maindex+$ar_cert_domains_col_domain]}\"..."
			f_certbot_dns01_clean_domain "${ar_cert_domains[$i_maindex+$ar_cert_domains_col_domain]}"
		    fi
		fi
		((_irow++))
	    done
	fi
    done
    return $SUCCESS
}
# param: <zone> [dns_server]
function f_certbot_dns01_clean_domain ()
{
local _f_nm="f_certbot_dns01_clean_domain"
if [ $# -ne 1 ]; then echo "$_f_nm: falsche anzahl parameter"; exit; fi
local _domain="$1"
dns_server_fcd=""
if [ -n "$2" ]; then dns_server_fcd="$2";
else f_find_cert_domain_ns ${_domain} dns_server_fcd; fi
local _host="_acme-challenge"
echo "$_f_nm: domain: ${_domain}: nsupdate do, delete TXT Record"
if true; then
nsupdate << EOM
server ${dns_server_fcd}
key ${dnstxtkey}
zone ${_domain}
update delete ${_host}.${_domain}. TXT
send
EOM
else #if false; then
    echo "ro: update srv: ${dns_server_fcd}  delete ${_host}.${_domain}. TXT................."
fi #if false; then
err=$?
if [ $err -eq 0 ]; then echo "$_f_nm: domain: ${_domain}; server: ${dns_server_fcd}; done, deleted TXT Record"; echo; return $SUCCESS
else echo "$_f_nm: domain: ${_domain}:  error , deleted TXT Record"; echo; return $FAILURE; fi
return
}
